slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetST

Associates a spectral transformation object to the eigensolver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetST(EPS eps,ST st)

Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()
| st | - the spectral transformation object

### Note

Use EPSGetST() to retrieve the spectral transformation context (for example, to free it at the end of the computations).

### See Also

EPSGetST()

### Level

advanced

### Location

src/eps/interface/epsbasic.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages